UPGRADE_BULK_SPOOL(1)

NAME
upgrade_bulk_spool, upgrade_bulk_spool.pl - Migrating messages in bulk tables

SYNOPSIS
  upgrade_bulk_spool.pl [ --dry_run ]

DESCRIPTION
On Sympa earlier than 6.2, messages for bulk sending were stored into bulk spool based on database tables. Recent release of Sympa stores outbound messages into the spool based on filesystem or sends them by Mailer directly. This program migrates messages with old format in appropriate spool.

OPTIONS

--dry_run
    Shows what will be done but won't really perform upgrade process.

RETURN VALUE
This program exits with status 0 if processing succeeded. Otherwise exits with non-zero status.

CONFIGURATION OPTIONS
Following site configuration parameters in /usr/pkg/etc/sympa/sympa.conf or robot configuration parameters in "robot.conf" are referred.

db_type, db_name etc.
queuebulk
sympa_packet_priority
umask

SEE ALSO
sympa.conf(5), Sympa::Message, Sympa::Spool::Outgoing.

HISTORY
upgrade_bulk_spool.pl appeared on Sympa 6.2.